import type { _INCallCapabilityResolutionResult } from "./INCallCapabilityResolutionResult.js";
import type { INStartCallCallCapabilityUnsupportedReason } from "./INStartCallCallCapabilityUnsupportedReason.js";
export declare class _INStartCallCallCapabilityResolutionResult extends _INCallCapabilityResolutionResult {
    static alloc(): _INStartCallCallCapabilityResolutionResult;
    static new(): _INStartCallCallCapabilityResolutionResult;
    init(): _INStartCallCallCapabilityResolutionResult;
    static unsupportedForReason$(reason: INStartCallCallCapabilityUnsupportedReason): _INStartCallCallCapabilityResolutionResult;
    initWithCallCapabilityResolutionResult$(callCapabilityResolutionResult: _INCallCapabilityResolutionResult): _INStartCallCallCapabilityResolutionResult;
}
